using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace WindowsApplication10
{
	/// <summary>
	/// Summary description for TabViewUserControl.
	/// </summary>
	public class TabViewUserControl : System.Windows.Forms.UserControl
	{
		private System.Windows.Forms.ImageList imageList;
		private System.ComponentModel.IContainer components;
		private Syncfusion.Windows.Forms.Tools.DockingManager dockingManager;
		private TabConfigurator tabConfig;

		public TabViewUserControl()
		{
			// This call is required by the Windows.Forms Form Designer.
			
			InitializeComponent();
			InitializeDockingWindows();
			
			

			// TODO: Add any initialization after the InitializeComponent call

		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}

			/**********************************************************************/
			//Docking Controls must Explicitly disposed during UserControl/Form closing
			//If not, it will generate the error.

			IEnumerator ienum=this.dockingManager.Controls;
			ArrayList ctrls=new ArrayList();
			while(ienum.MoveNext())
				ctrls.Add(ienum.Current);
			foreach(Control ctrl in ctrls)
				ctrl.Dispose();
			this.dockingManager.Dispose();

			/**********************************************************************/
			

			base.Dispose( disposing );

		}

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(TabViewUserControl));
			this.imageList = new System.Windows.Forms.ImageList(this.components);
			this.dockingManager = new Syncfusion.Windows.Forms.Tools.DockingManager(this.components);
			((System.ComponentModel.ISupportInitialize)(this.dockingManager)).BeginInit();
			// 
			// imageList
			// 
			this.imageList.ImageSize = new System.Drawing.Size(16, 16);
			this.imageList.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// dockingManager
			// 
			this.dockingManager.DockLayoutStream = ((System.IO.MemoryStream)(resources.GetObject("dockingManager.DockLayoutStream")));
			this.dockingManager.HostControl = this;
			this.dockingManager.ShowToolTips = true;
			// 
			// TabViewUserControl
			// 
			this.Name = "TabViewUserControl";
			this.Size = new System.Drawing.Size(656, 416);
			((System.ComponentModel.ISupportInitialize)(this.dockingManager)).EndInit();

		}
		#endregion
	
		private void InitializeDockingWindows() 
		{
			this.tabConfig = new TabConfigurator();

			// Create the DockingManager instance and set this control as the host control.
			this.dockingManager = new Syncfusion.Windows.Forms.Tools.DockingManager();
			this.dockingManager.BeginInit();
			this.dockingManager.HostControl = this;

			// Disable state persistence
			this.dockingManager.PersistState = false;
			// Enable display of the default context menus
			this.dockingManager.EnableContextMenu = true;
			// Set the imagelist that will provide the icons for the docking windows.
			this.dockingManager.ImageList = this.imageList;

			this.dockingManager.AutoHideEnabled = true;
			this.dockingManager.DisallowFloating = true;
			this.dockingManager.CloseEnabled = false;
			this.dockingManager.EnableContextMenu = false;

			this.dockingManager.DockControl(this.tabConfig, this, 
				Syncfusion.Windows.Forms.Tools.DockingStyle.Left, 150);

			this.dockingManager.SetAutoHideMode( this.tabConfig, true );
			this.dockingManager.SetAutoHideButtonVisibility( this.tabConfig, false );

			// Set the text to be displayed in the dockingwindow caption
			this.dockingManager.SetDockLabel(this.tabConfig, "Tab Configuration");
			// The image index used for this control
			this.dockingManager.SetDockIcon(this.tabConfig, 0);

			this.dockingManager.EndInit();
		}

		private void tabControl_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		
		}
	
	}
}
